Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1268234 - Importing using Teiid Connection import doesn't set unique unique key property for FK
Summary: Importing using Teiid Connection import doesn't set unique unique key propert...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling
Version: 6.2.0
Hardware: Unspecified
OS: Mac OS
unspecified
high
Target Milestone: ---
: ---
Assignee: Van Halbert
QA Contact: Matus Makovy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-02 08:51 UTC by Matus Makovy
Modified: 2015-11-17 18:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-17 18:07:22 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker TEIIDDES-2675 0 Major Closed Importing using Teiid Connection import doesn't set unique unique key property for FK 2015-10-20 06:29:19 UTC

Description Matus Makovy 2015-10-02 08:51:37 UTC
I tried importing from Oracle DB using Teiid connection import. When I finish the import, resulting source model has validation errors. Unique key value for FK_INSTR_ID is not set.

See screenshots in JIRA

Comment 1 JBoss JIRA Server 2015-10-02 15:04:54 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2675 to Resolved

Comment 2 Barry LaFond 2015-10-02 15:06:24 UTC
Simple fix and it occurs on Linux too. Targeted to 9.0.4.Final and 8.0.4 GA JBDSIS

Comment 3 JBoss JIRA Server 2015-10-20 06:29:17 UTC
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2675 to Closed


Note You need to log in before you can comment on or make changes to this bug.